EXEC(' 
	IF NOT EXISTS (SELECT 1  FROM   LJ_LX_ETL_TIPO WHERE ID_ETL_TIPO = 56)
	BEGIN
		INSERT INTO LJ_LX_ETL_TIPO															         
		(DESC_ETL_TIPO,EXCLUI_PROCESSO_CONCLUIDO,ID_ETL_TIPO,INATIVO,ORIGEM,DESC_EAD,DESC_EAD_DESTINO,UTILIZA_LOTE,ULTIMO_LOTE,PERIODO_FECHAMENTO_LOTE,
		DATA_HORA_ULTIMO_LOTE,FILTRO,INDICA_SOMENTE_MASTER,IND_SOMENTE_ENTIDADE_PRINCIPAL,TOTAL_REGISTROS_ARQUIVO,CTRL_EMPRESA,CTRL_REDE,
		CTRL_FILIAL,INICIO_PROCESSAMENTO_LOTE,FIM_PROCESSAMENTO_LOTE,ORDEM) 
		VALUES (''LOJA_NOTA_FISCAL_XML'',''1'',''56'',''0'',''1'',''Linx.ETL9004.BO.LjEtlLojaNotaFiscalXml.LojaNotaFiscalXml'','''',''0'',''0'',''0'',
		''1900-01-01 00:00:00.000'','''',''0'',''0'',''100'',''0'',''0'',''1'',''0.00'',''23.59'',''61'')
	END
')
GO

EXEC('
	IF NOT EXISTS (SELECT 1  FROM LJ_ETL_TIPO_COMPONENTE WHERE ID_ETL_TIPO = 56 )
	BEGIN
		INSERT INTO LJ_ETL_TIPO_COMPONENTE (ID_ETL_TIPO,INATIVO,VERSAO,DESC_EAD,DESC_EAD_DESTINO) 
		VALUES (''56'',''0'',''3.1.10'',''Linx.ETL9004.BO.LjEtlLojaNotaFiscalXml.LojaNotaFiscalXml'','''')
	END
')
GO

EXEC('
	IF NOT EXISTS (SELECT 1  FROM LJ_ETL_INSTANCIA_ACAO_TIPO WHERE ID_ETL_TIPO = 56 )
	BEGIN
		INSERT INTO LJ_ETL_INSTANCIA_ACAO_TIPO (ID_ETL_INSTANCIA_ACAO, ID_ETL_TIPO) VALUES (0, 56)
	END
')
GO
 
EXEC('
		IF NOT EXISTS (SELECT 1 FROM   INFORMATION_SCHEMA.COLUMNS
			  WHERE  TABLE_NAME = ''LOJA_NOTA_FISCAL_XML'' AND COLUMN_NAME = ''URL_DANFE'')
		BEGIN
		  ALTER TABLE [dbo].[LOJA_NOTA_FISCAL_XML] ADD URL_DANFE VARCHAR(MAX) NULL
		END
') 
GO

EXEC('      
		IF NOT EXISTS (SELECT 1  FROM   INFORMATION_SCHEMA.COLUMNS
			  WHERE  TABLE_NAME = ''LOJA_NOTA_FISCAL_XML'' AND COLUMN_NAME = ''DATA_PARA_TRANSFERENCIA'')
		BEGIN
		  ALTER TABLE [dbo].[LOJA_NOTA_FISCAL_XML] ADD DATA_PARA_TRANSFERENCIA DATETIME DEFAULT GETDATE() NULL
		END
')
GO

EXEC('
	IF NOT EXISTS(SELECT TOP 1 1 FROM PARAMETROS WHERE PARAMETRO = ''ETL_UPDATE_DIRETORIO'')
	BEGIN
		INSERT INTO PARAMETROS ( PARAMETRO, PENULT_ATUALIZACAO, ULT_ATUALIZACAO, VALOR_ATUAL, DESC_PARAMETRO
		,TIPO_DADO, DATA_PARA_TRANSFERENCIA, ENVIA_PARA_LOJA, APLICACAO ) 
		VALUES (''ETL_UPDATE_DIRETORIO'', getdate() ,getdate()	,''''		
		,''Informa o diretorio de update por empresa ex: nomeDaEmpresa'',''C''
		,getdate(), 1, ''ETL''
		)
	END
')
GO
